Package org.springframework.security.web.csrf

# Class InvalidCsrfTokenException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.access.AccessDeniedException
org.springframework.security.web.csrf.CsrfException
org.springframework.security.web.csrf.InvalidCsrfTokenException

All Implemented Interfaces:
  `Serializable`

public class InvalidCsrfTokenException extends CsrfException
Thrown when an expected `CsrfToken` exists, but it does not match the value present on the `HttpServletRequest`

Since:
  3.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidCsrfTokenException(CsrfToken expectedAccessToken, String actualAccessToken)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidCsrfTokenException

public InvalidCsrfTokenException(CsrfToken expectedAccessToken, String actualAccessToken)

Parameters:
  `expectedAccessToken` -
  `actualAccessToken` -